Name:           libcommuni
Version:        2.2.0
Release:        9%{?dist}
Summary:        Cross-platform IRC client library written with Qt 4
Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://communi.github.com
Source0:        https://github.com/communi/libcommuni/archive/v%{version}.tar.gz
BuildRequires:  qt-devel
BuildRequires:  libicu-devel
Obsoletes: libircclient-qt < 0.5.0-9

%description
Communi is a cross-platform IRC client library written with Qt 4.

%package devel
Summary:        Cross-platform IRC client library written with Qt 4 (development files)
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Obsoletes: libircclient-qt-devel < 0.5.0-9

%description devel
Communi is a cross-platform IRC client library written with Qt 4.

%prep
%setup -q

%build
qmake-qt4 -config verbose -config no_examples -config no_rpath
make %{_smp_mflags}

%check
LD_LIBRARY_PATH=%{buildroot}/%{_libdir} make check

%install
make INSTALL_ROOT=%{buildroot} install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc LICENSE AUTHORS README CHANGELOG
%{_libdir}/libCommuni.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/
%{_includedir}/Communi/
%{_libdir}/libCommuni.so
%{_libdir}/qt4/mkspecs/features/communi-config.prf
%{_libdir}/qt4/mkspecs/features/communi.prf

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.2.0-8
- Rebuilt for GCC 5 C++11 ABI change

* Mon Jan 26 2015 David Tardon <dtardon@redhat.com> - 2.2.0-7
- rebuild for ICU 54.1

* Tue Aug 26 2014 David Tardon <dtardon@redhat.com> - 2.2.0-6
- rebuild for ICU 53.1

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Feb 14 2014 David Tardon <dtardon@redhat.com> - 2.2.0-3
- rebuild for new ICU

* Wed Sep 11 2013 Jan Kaluza <jkaluza@redhat.com> - 2.2.0-2
- fix obsoletes

* Wed Aug 14 2013 Jan Kaluza <jkaluza@redhat.com> - 2.2.0-1
- update to new upstream version 2.2.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon May 27 2013 Jan Kaluza <jkaluza@redhat.com> - 2.1.1-1
- update to new upstream version 2.1.1
- remove communi subpackage - it is in separate package now

* Fri Feb 01 2013 Parag Nemade <paragn AT fedoraproject DOT org> - 1.2.1-2
- Rebuild for icu 50

* Wed Dec 19 2012 Jan Kaluza <jkaluza@redhat.com> - 1.2.1-1
- update to new upstream version 1.2.1

* Mon Dec 03 2012 Jan Kaluza <jkaluza@redhat.com> - 1.2.0-2
- add upstream fix to parser performance bottleneck caused by encoding settings

* Tue Oct 09 2012 Jan Kaluza <jkaluza@redhat.com> - 1.2.0-1
- update to new upstream version 1.2.0

* Wed Sep 05 2012 Jan Kaluza <jkaluza@redhat.com> - 1.1.2-1
- Initial Fedora packaging
